.basic-slider {
    height: calc(100vh - 64px);

    .logged-in & {
        height: calc(100vh - 96px);
    }
}

.basic-slider-pagination {
    display: flex;
    flex-direction: column;
    width: 60px !important;

    @media (orientation: landscape) and (min-width: theme('screens.md')) and (max-width: theme('screens.lg')) {
        left: auto !important;
        right: 0 !important;
    }
}

.swiper-pagination-current {
    font-size: 18px;
    left: -35px;
    position: relative;

    &::after {
        background-color: #000;
        content: '';
        display: block;
        height: 1px;
        left: 20px;
        opacity: 0.4;
        position: relative;
        transform: rotate(-45deg);
        width: 60px;
    }
}

.swiper-navigation-container,
.swiper-pagination-container {
    position: absolute;
    z-index: 15;
}

.swiper-navigation-container {
    align-items: center;
    bottom: 50px;
    display: flex;
    font-size: 1.5rem;
    justify-content: space-between;

    @include query(xl) {
        bottom: 150px;
        left: 50%;
        transform: translateX(-50%);
    }

    @media (orientation: landscape) and (min-width: theme('screens.md')) and (max-width: theme('screens.lg')) {
        justify-content: flex-end;
        padding-right: 40px;

        button:first-of-type {
            margin-right: 30px;
        }
    }
}

.swiper-pagination-container {
    top: 150px;
    left: 40px;

    @include query(xl) {
        left: 50%;
        top: 250px;
        transform: translateX(-50%);
    }

    @media (orientation: landscape) and (min-width: theme('screens.md')) and (max-width: theme('screens.lg')) {
        left: auto;
        right: 40px;
    }
}
